Listar um template por grupo de atendimento

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/hsm-template-group

De acordo com o filtro informado, esta requisição retorna um template por grupo de atendimento cadastrado na base para envio ativo.

application/json

Body Required

pageRequest

  • conditions array[object] Required
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • direction string

    Values are ASC or DESC.

  • page integer(int32)
  • sort boolean Required
  • sortColumn string
  • size integer(int32)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • page integer(int32) Required
    • results array[object]
      Hide results attributes Show results attributes object
      • hsmTemplate object
        Hide hsmTemplate attributes Show hsmTemplate attributes object
        • active boolean
        • createdAt string(date-time)
        • createdBy string
        • description string
        • elementName string
        • id integer(int64)
        • language string
        • mediaParameterCount integer(int64)
        • nameSpace string
        • parameterCount integer(int64)
        • template string
        • updatedAt string(date-time)
        • updatedBy string
      • hsmTemplateGroupId object
        Hide hsmTemplateGroupId attributes Show hsmTemplateGroupId attributes object
        • groupConfId integer(int64)
        • hsmTemplateId integer(int64)
    • size integer(int32)
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/hsm-template-group
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/hsm-template-group' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"string","value":"string","operator":"EQ","logic":"AND","or":[{}],"and":[{}],"conditions":[{}]}],"direction":"ASC","page":42,"sort":true,"sortColumn":"string","size":42}'
Request examples
{
  "conditions": [
    {
      "key": "string",
      "value": "string",
      "operator": "EQ",
      "logic": "AND",
      "or": [
        {}
      ],
      "and": [
        {}
      ],
      "conditions": [
        {}
      ]
    }
  ],
  "direction": "ASC",
  "page": 42,
  "sort": true,
  "sortColumn": "string",
  "size": 42
}
Response examples (200)
{
  "page": 42,
  "results": [
    {
      "hsmTemplate": {
        "active": true,
        "createdAt": "2026-05-04T09:42:00Z",
        "createdBy": "string",
        "description": "string",
        "elementName": "string",
        "id": 42,
        "language": "string",
        "mediaParameterCount": 42,
        "nameSpace": "string",
        "parameterCount": 42,
        "template": "string",
        "updatedAt": "2026-05-04T09:42:00Z",
        "updatedBy": "string"
      },
      "hsmTemplateGroupId": {
        "groupConfId": 42,
        "hsmTemplateId": 42
      }
    }
  ],
  "size": 42
}